Bug 197228 - [NEW PORT] graphics/librasterlite2
Summary: [NEW PORT] graphics/librasterlite2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jan Beich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-01-31 16:44 UTC by Loïc Bartoletti
Modified: 2015-02-07 17:15 UTC (History)
1 user (show)

See Also:


Attachments
librasterlite2 port (4.02 KB, patch)
2015-01-31 16:44 UTC, Loïc Bartoletti
no flags Details | Diff
librasterlite2 port with corrections (4.02 KB, patch)
2015-02-07 15:58 UTC, Loïc Bartoletti
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Loïc Bartoletti freebsd_committer 2015-01-31 16:44:18 UTC
Created attachment 152419 [details]
librasterlite2 port

librasterlite2 is an open source library that stores and retrieves huge raster coverages using a SpatiaLite DBMS.

Important notice: this is a brand new project intended to completely replace the superseded librasterlite (graphics/librasterlite).
The two projects are completely unrelated: the unique similarity between both is just in covering the same identical application area. 


Poudriere's logs:
http://download.tuxfamily.org/bartcoding/ports/librasterlite2/
Comment 1 Jan Beich freebsd_committer 2015-02-06 22:05:54 UTC
Comment on attachment 152419 [details]
librasterlite2 port

Can you reindent Makefile with tab width 8 to make it look consistently? Otherwise, provide vim/emacs hinting in modeline.

>+DISTNAME=		${PORTNAME}-${PORTVERSION}-rc0

Define DISTVERSIONSUFFIX instead.

>+GNU_CONFIGURE=	yes

If the build glue were preprocessed by automake you may also want

  INSTALL_TARGET=	install-strip

to avoid warnings when building with DEVELOPER=1.

>+CONFIGURE_ARGS+=	LIBLZMA_CFLAGS=-I/usr/include LIBLZMA_LIBS=-I/usr/lib

Bogus _LIBS and variables should be passed via CONFIGURE_ENV.

Besides, pass implicit CFLAGS/LDFLAGS to base libs may break port dependencies e.g., where libgcc_s or libstdc++ is located, which iconv.h to use. Try the following instead:

  # Work around PKG_CHECK_MODULES before base r276898
  .if !exists(/usr/libdata/pkgconfig/liblzma.pc)
  CONFIGURE_ENV+=	LIBLZMA_CFLAGS=" " LIBLZMA_LIBS="-llzma"
  .endif

>+CPPFLAGS+=			-I${LOCALBASE}/include
>+LDFLAGS+=			-L${LOCALBASE}/lib -L/usr/lib

Drop -L/usr/lib per previous note.

>+
>+post-patch:
>+	@${REINPLACE_CMD} -e 's|$$(libdir)/pkgconfig|$$(prefix)/libdata/pkgconfig|' \
>+		${WRKSRC}/Makefile.in

Replace with USES=pathfix.

>+librasterlite is an open source library that stores and retrieves huge raster
>+coverages using a SpatiaLite DBMS.
>+
>+WWW: https://www.gaia-gis.it/fossil/librasterlite/index

Did you forget to replace after copying from graphics/librasterlite ?
Comment 2 Loïc Bartoletti freebsd_committer 2015-02-07 15:58:11 UTC
Created attachment 152677 [details]
librasterlite2 port with corrections
Comment 3 Loïc Bartoletti freebsd_committer 2015-02-07 15:58:26 UTC
Here, with your corrections

Logs are updated on http://download.tuxfamily.org/bartcoding/ports/librasterlite2/

Thanks.
Comment 4 commit-hook freebsd_committer 2015-02-07 17:14:10 UTC
A commit references this bug:

Author: jbeich
Date: Sat Feb  7 17:14:00 UTC 2015
New revision: 378606
URL: https://svnweb.freebsd.org/changeset/ports/378606

Log:
  Add new port: graphics/librasterlite2

  PR:		197228
  Submitted by:	coder@tuxfamily.org
  Approved by:	mentors (implicit)

  librasterlite2 is an open source library that stores and retrieves huge raster
  coverages using a SpatiaLite DBMS.

  WWW: https://www.gaia-gis.it/fossil/librasterlite2/index

Changes:
  head/graphics/Makefile
  head/graphics/librasterlite2/
  head/graphics/librasterlite2/Makefile
  head/graphics/librasterlite2/distinfo
  head/graphics/librasterlite2/pkg-descr
  head/graphics/librasterlite2/pkg-plist
Comment 5 commit-hook freebsd_committer 2015-02-07 17:15:13 UTC
A commit references this bug:

Author: jbeich
Date: Sat Feb  7 17:14:17 UTC 2015
New revision: 378607
URL: https://svnweb.freebsd.org/changeset/ports/378607

Log:
  Reduce difference with graphics/librasterlite2

  - Add LICENSE
  - Convert to USES=pathfix
  - Strip library

  PR:		197228
  Submitted by:	coder@tuxfamily.org (maintainer)
  Approved by:	mentors (implicit)

Changes:
  head/graphics/librasterlite/Makefile
Comment 6 Jan Beich freebsd_committer 2015-02-07 17:15:53 UTC
Committed with minor changes. Thanks.